<template>
  <q-page class="flex flex-center column">
    <q-spinner-hourglass color="primary" size="5.5em" />
  </q-page>
</template>

<script>
export default {
  name: "Loading",

  props: {
    nombreFrameworkIngresado: String
  },

  data() {
    return {
      datosRespuestaServicio: {
        nombre: String,
        version: String,
        puntuacion: Number
      },
      error: {
        status: Number,
        message: String
      }
    };
  },

  watch: {
    // En estos watch, deberíamos pasar los datos recibidos a las vistas que mostrarmos usando Router.
    // Eso lo podemos hacer pasando nuestros datos como parámetros en el push.
    error: function(nuevo) {
      if (nuevo && nuevo.status === 400) {
        this.$router.push({
          name: "Error400"
        });
      }
    },
    datosRespuestaServicio: function(nuevo) {
      if (nuevo) {
        // ¿Qué pasa con pasar parámetros de esta manera cuando usamos 'path' para identificar el componente que queremos mostrar?
        this.$router.push({
          path: "/info"
        });
      }
    }
  },

  mounted() {
    let self = this;
    setTimeout(function() {
      if (
        self.nombreFrameworkIngresado &&
        self.nombreFrameworkIngresado.toString().toLowerCase() === "quasar"
      ) {
        self.datosRespuestaServicio = {
          nombre: "Quasar",
          version: "v1.4.3",
          puntuacion: 10
        };
        self.error = {};
      } else {
        self.error = {
          status: 400,
          message: "¿Estás seguro?"
        };
        self.datosRespuestaServicio = {};
      }
    }, 3000);
  }
};
</script>
